Package org.eclipse.mat.internal.collectionextract

## Class ArrayListSubListCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.FieldSizeArrayCollectionExtractor
    - - org.eclipse.mat.internal.collectionextract.ArrayListSubListCollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`

    public class ArrayListSubListCollectionExtractor
    extends FieldSizeArrayCollectionExtractor

### Constructor Summary

Constructors
`ArrayListSubListCollectionExtractor​(java.lang.String sizeField, java.lang.String arrayField, java.lang.String firstIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `extractEntryIds​(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`java.lang.Integer` `getCapacity​(IObject coll)` Return the capacity of the collection, if applicable

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldSizeArrayCollectionExtractor

`getSize, hasSize`

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor

`extractEntries, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayListSubListCollectionExtractor

    public ArrayListSubListCollectionExtractor​(java.lang.String sizeField,
                                               java.lang.String arrayField,
                                               java.lang.String firstIndex)

### Method Detail

#### extractEntryIds

    public int[] extractEntryIds​(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `FieldArrayCollectionExtractor`
Parameters:
  `coll` - - the collection to find the objects it holds
Returns:
  an array of ints which are the object ids.
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasExtractableContents()`

#### getCapacity

    public java.lang.Integer getCapacity​(IObject coll)
                                  throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Return the capacity of the collection, if applicable

Specified by:
  `getCapacity` in interface `ICollectionExtractor`
Overrides:
  `getCapacity` in class `FieldArrayCollectionExtractor`
Parameters:
  `coll` - - the collection to find the capacity of
Returns:
  the capacity in bytes, or null if unavailable
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasCapacity()`